Bug 56576 - (IDE IDE-TAPE)ide-tape and DMA trashes filesystem
(IDE IDE-TAPE)ide-tape and DMA trashes filesystem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-21 03:57 EST by Neil Darlow
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Darlow 2001-11-21 03:57:28 EST
Description of Problem:
If DMA is enabled for an IDE Tape device filesystem corruption can occur

Version-Release number of selected component (if applicable):
errata kernel 2.4.9-13.i586

How Reproducible:
Leave ide settings at Red Hat default i.e. hdparm says tape drive is DMA 
capable.

Steps to Reproduce:
1. Fresh install - dual UDMA/33 drives - RAID-1 mirrored - ext3
2. Perform e2fsck -f -n /dev/md[0-4]; echo $?
3. Execute a full backup with afbackup
4. Perform e2fsck -f -n /dev/md[0-4]; echo $?

Actual Results:
Directories are hit returning errors like "invalid fs type" or attempting 
to ls -l their contents returns "unable to stat ..." or permissions 
damaged e.g. "?--------x"

Expected Results:
None of the above is expected

Additional Information:
This took some tracking down. I had to watch several fresh installs 
through the RAID-1 creation process (bad block check enabled and 
formatted to ext3) then did readonly e2fscks of the partitions before and 
after the full backup.
On three separate occasions filesystem damage occurred with DMA enabled 
for the IDE Tape Drive and does not occur with DMA disabled.
I don't mind doing some testing for you on this but I'm getting a little 
bored with doing fresh installs :-)
Comment 1 Pete Zaitcev 2001-11-21 14:12:26 EST
See also #54617 (Just see with your eyes, do not mark dups!!!)
Comment 2 Pete Zaitcev 2001-11-21 14:14:03 EST
Sorry, I meant Bug 54517.
Comment 3 Bugzilla owner 2004-09-30 11:39:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.